Inventor - Deutsch
Das Forum für alle Fragen rund um Autodesk Inventor. Der Ort zum Fragen stellen, Antworten erhalten und Wissen teilen.

Inventor - Deutsch

Antworten
Nachricht 1 von 7 (125 Ansichten)
Akzeptierte Lösung

Inventor - ilogic Regel zum Erstellen von PDFs

[ Bearbeitet ]
125 Anzeigen, 6 Antworten
04-20-2017 07:14 PM

Hallo Autodesk Forum,
Ich habe paar Regel in Vergangenheit erstellt und würde gerne hier laden

 

 

@pietro46,

 

Die Themenüberschrift wurde zum besseren Verständnis editiert

von Sofia Xanthopoulou

diese dient PDF Automatisch zum Ausführung

 

PDFPath = "Y:\Allgemeine Dateien\Zeichnungen\PDF Freigegeben" & DirectoryPath
ThisDoc.Document.SaveAs(PDFPath & "\" & ThisDoc.FileName(False) & ".pdf" ,True)

 

STEPPath = "Y:\Allgemeine Dateien\Zeichnungen\DWG Freigegeben" & DirectoryPath
ThisDoc.Document.SaveAs(stepPath & "\" & ThisDoc.FileName(False) & ".dwg" ,True)
STEPPath = "D:\Konstruktion\Step Freigegeben" & DirectoryPath
ThisDoc.Document.SaveAs(stepPath & "\" & ThisDoc.FileName(False) & ".step" ,True)

Pfad zuweißen 

Art der datei: Step,DWG, DXF,PDF.

 

Nachricht 2 von 7 (120 Ansichten)

Betreff: Inventor - ilogic Regel zum Erstellen von PDFs

[ Bearbeitet ]
04-20-2017 07:35 PM Als Antwort auf: pietro46

diese dient PDF Automatisch zum Ausführung

 

PDFPath = "Y:\Allgemeine Dateien\Zeichnungen\PDF Freigegeben" & DirectoryPath



ThisDoc.Document.SaveAs(PDFPath & "\" & ThisDoc.FileName(False) & ".pdf" ,True)

 

Nachricht 3 von 7 (117 Ansichten)

Betreff: Inventor - ilogic Regel zum Erstellen von PDFs

[ Bearbeitet ]
04-20-2017 07:39 PM Als Antwort auf: pietro46
STEPPath = "Y:\Allgemeine Dateien\Zeichnungen\DWG Freigegeben" & DirectoryPath



ThisDoc.Document.SaveAs(stepPath & "\" & ThisDoc.FileName(False) & ".dwg" ,True)
Nachricht 4 von 7 (115 Ansichten)

Betreff: Inventor - ilogic Regel zum Erstellen von PDFs

[ Bearbeitet ]
04-20-2017 07:44 PM Als Antwort auf: pietro46
STEPPath = "D:\Konstruktion\Step Freigegeben" & DirectoryPath



ThisDoc.Document.SaveAs(stepPath & "\" & ThisDoc.FileName(False) & ".step" ,True)

Pfad zuweißen 

Art der datei: Step,DWG, DXF,PDF.

 

Highlighted
Nachricht 5 von 7 (100 Ansichten)

Betreff: Inventor - ilogic Regel zum Erstellen von PDFs

[ Bearbeitet ]
04-21-2017 11:48 AM Als Antwort auf: pietro46

Hallo @pietro46,

 

tauschen heißt ja, Du bietest etwas und hättest auch gerne etwas, aber was denn? :-)

 

MFG

 

Sascha May

Nachricht 6 von 7 (41 Ansichten)

Betreff: Inventor - ilogic Regel zum Erstellen von PDFs

04-24-2017 06:28 PM Als Antwort auf: sascha_may

So, ich habe eure Tauschbörse jetzt ein bisschen aufgeräumt Smiley (zwinkernd)

 

@pietro46@sascha_may, die Fortsetzung dieses Beitrags findet ihr nun hier.

 

Danke euch beiden für diesen lehrreichen Erfahrungsaustausch - so mag ich das Smiley (überglücklich)

 

LG

 



Sofia Xanthopoulou

Technical Support Specialist

Nachricht 7 von 7 (17 Ansichten)

Betreff: Inventor - ilogic Regel zum Erstellen von PDFs mehrere Blätter

04-26-2017 09:59 AM Als Antwort auf: pietro46

dieses Regel dient iLogic Zeichnung als PDF speichern auch mehrere Blätter

 

 

SyntaxEditor Code Snippet

PDFPath = "Y:\Allgemeine Dateien\Zeichnungen\PDF Freigegeben" & DirectoryPath
ThisDoc.Document.SaveAs(PDFPath & "\" & ThisDoc.FileName(False) & ".pdf" ,True)
path_and_name = ThisDoc.PathAndFileName(False) ' without extension
PDFAddIn = ThisApplication.ApplicationAddIns.ItemById("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium
If PDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
oOptions.Value("All_Color_AS_Black") = 1
oOptions.Value("Remove_Line_Weights") = 1
oOptions.Value("Vector_Resolution") = 400
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintAllSheets
'oOptions.Value("Custom_Begin_Sheet") = 2'oOptions.Value("Custom_End_Sheet") = 4
End If
'C:\Users\Pietro\Documents\Inventor
oDataMedium.FileName = path_and_name & ".pdf"
'Publish document
PDFAddIn.SaveCopyAs(oDocument, oContext, oOptions,oDataMedium) 

 

 

 

 

 

Fragt die Community

Ihr habt Fragen zu einem Autodesk Produkt? Fragt die Community.

Neues Thema

 

AnsweDayDEMay.png